DTRUST-TOOL(1)

NAME
dtrust-tool - displays information about D-Trust signature cards and remove the transport protection

SYNOPSIS

dtrust-tool [OPTIONS]

DESCRIPTION

The dtrust-tool utility is used to display information about D-Trust signature cards and to remove the initial transport protection.

OPTIONS

--check-transport-protection, -c
    In the delivery state the card is locked by a so called transport protection. This option allows to check if the transport protection is still in force. The Signature PIN can only be used if the transport protection is removed.

    Initially the transport protection should be intact. If you receive a new card and the transport protection was already broken, don't use that card and contact the producer for further advice.

    If you removed the transport protection, it is normal that dtrust-tool reports the transport protection as broken. This is the normal operation state. It does not mean your card is broken.

--help, -h
    Print help message on screen.

--reader arg, -r arg
    Number of the reader to use. By default, the first reader with a present card is used. If arg is an ATR, the reader with a matching card will be chosen.

--pin-status, -s
    Show the status of the various PINs. The Card Holder PIN is used for advanced signatures and decryption. It is only defined for signature cards, but not for sealing cards. The signature PIN is used for qualified signatures. It can only be used if it is unlocked by presenting the Transport PIN. Once the Transport PIN is used, it cannot be used anymore. The PUK is used to unlock PIN which had beend entered incorrectly several times.

--unlock-transport-protection, -u
    This command removes the transport protection. If first queries for the Transport PIN and then for the new value of the Signature PIN twice.

--verbose, -v
    Causes dtrust-tool to be more verbose. Specify this flag several times to enable debug output in the opensc library.

--wait, -w
    Causes dtrust-tool to wait for the token to be inserted into reader.

AUTHORS

dtrust-tool was written by Mario Haustein <mario.haustein@hrz.tu-chemnitz.de>.